%if 0%{?rhel} && 0%{?rhel} <= 5
    %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
    %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global commit 70a5fe8f9f7280a6a84410a5626dd99b70172f9c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global shortname editorconfig-core-py

Name:           editorconfig-core-python
Version:        0.11.1
Release:        1%{?dist}
Summary:        Clone of EditorConfig core written in Python

Group:          System Environment/Libraries
License:        Python
URL:            http://editorconfig.org/
Source0:        https://github.com/editorconfig/%{shortname}/archive/%{commit}/editorconfig-core-py-%{version}-%{shortcommit}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
    BuildRequires:  python3-devel
    BuildRequires:  python3-setuptools
%endif # if with_python3

Requires:       python


%description
EditorConfig Python Core provides the same functionality as the EditorConfig C
Core. EditorConfig Python core can be used as a command line program or as an
importable library.


%prep
%setup -qn %{shortname}-%{commit}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%if 0%{?with_python3}
    pushd %{py3dir}
    CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
    popd
%endif # with_python3


%install
rm -rf %{buildroot}

# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
    pushd %{py3dir}
    %{__python3} setup.py install --skip-build --root %{buildroot}
    rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests
    find %{buildroot}%{python3_sitelib} -name '*.exe' | xargs rm -f
    popd
%endif # with_python3
%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python_sitelib}/setuptools/tests
find %{buildroot}%{python_sitelib} -name '*.exe' | xargs rm -f


%check
%{__python} setup.py test
%if 0%{?with_python3}
    pushd %{py3dir}
    %{__python3} setup.py test
    popd
%endif # with_python3


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)

%doc LICENSE.txt README.rst
%{python_sitelib}/*
%{_bindir}/editorconfig.py
%if 0%{?with_python3}
    %files -n python3-%{name}
    %doc LICENSE.txt README.rst
    %{python3_sitelib}/*
    %{_bindir}/editorconfig.py
%endif # with_python3


%changelog
* Mon May 2 2013 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.11.1-1
- Initial packaging
